package SimpleDeflate.SimpleDeflateTest;

import Bytes.Bytes.ByteArray;

import static Bytes.Bytes.Bytes.ByteArrayLength;
import static Bytes.Bytes.Bytes.CreateAndFillByteArray;
import static DEFLATE.SimpleDeflate.SimpleDeflate.Pack;
import static DEFLATE.SimpleDeflate.SimpleDeflate.Unpack;

public class SimpleDeflateTest {
    public static double testSimpleDeflate() {
        ByteArray data, output;
        double i, fail;

        data = CreateAndFillByteArray(400d, 0d);

        output = Pack(data, 65536d);

        data = Unpack(output);

        fail = 0;
        if(ByteArrayLength(data) != 400d){
            fail = fail + 1d;
        }

        return fail;
    }
}
